
## A script to run javadoc (Anthony Sept 2004).

dir=./source
doc=./doc

# Only creates GridSim javadoc. 
javadoc -author -version -package -noqualifier java.* \
    -windowtitle 'GridSim v3.1 API Specification' \
    -doctitle '<b>GridSim</b> v3.1 API Specification' \
    -header '<b>GridSim</b><br><font size='-1'>v3.1</font>' \
    -bottom 'The University of Melbourne, Australia, 2004' \
    -d $doc -breakiterator \
    -tag pre:a:"Pre Condition:" \
    -tag post:a:"Post Condition:" \
    -tag invariant:t:"Invariant:" \
    $dir/gridsim/*.java \
    $dir/gridsim/net/*.java \
    $dir/gridsim/util/*.java 

echo "javadoc is done ...."

